Documentation Index
Fetch the complete documentation index at: https://docs.pdf.co/llms.txt
Use this file to discover all available pages before exploring further.
| Name | Description | Required |
| Barcode Value | Specify the value to be encoded into the barcode. | Yes |
| Barcode Type | Choose the type of barcode to generate. Defaults to QR Code, with various other formats available. | No |
| Generate Inline URL | Opt for true to create an inline image URL, suitable for embedding in HTML or emails, and accessible offline. | No |
| Custom Profiles | A JSON string which adds options for the conversion process. See Custom Profiles for more. | No |
Output
| Name | Description |
url | The temporary URL on the PDF.co file server. |
outputLinkValidTill | A timestamp which indicates how long the url will be available for. |
error | Details of any errors (if any). |
status | The response status code. If all good this will be 200. |
name | The name of the file. |
jobId | The unique identifier for the job. |
credits | The credits spent on the process. |
remainingCredits | The credits left on your account. |
duration | The time it took for the process. |
Custom profiles
Use Custom Profiles to enhance your workflow with additional processing options. Enter JSON configuration to customize OCR settings, output format, text extraction methods, and more.
Sample JSON
{"OCRResolution": 600, "TrimSpaces": true, "OCRMode": "TextFromImagesAndFonts"}
You can use any regular API parameter from the API Reference within Zapier using the std_params feature in profiles. The std_params enables the definition of regular API parameters in a JSON format, See Standard Parameters for detailed documentation and examples.
| Parameter | Type | Default | Description |
outputDataFormat | string | - | If you require your output as base64 format, set this to base64 |
Angle | integer | 0 | See profiles.Angle |
NarrowBarWidth | integer | 3 | See profiles.NarrowBarWidth |
CaptionFont | string | Arial, 12 | See profiles.CaptionFont |
DataEncryptionAlgorithm | string | - | Controls the encryption algorithm used for data encryption. See User-Controlled Encryption for more information. The available algorithms are: AES128, AES192, AES256. |
DataEncryptionKey | string | - | Controls the encryption key used for data encryption. See User-Controlled Encryption for more information. |
DataEncryptionIV | string | - | Controls the encryption IV used for data encryption. See User-Controlled Encryption for more information. |
DataDecryptionAlgorithm | string | - | Controls the decryption algorithm used for data decryption. See User-Controlled Encryption for more information. The available algorithms are: AES128, AES192, AES256. |
DataDecryptionKey | string | - | Controls the decryption key used for data decryption. See User-Controlled Encryption for more information. |
DataDecryptionIV | string | - | Controls the decryption IV used for data decryption. See User-Controlled Encryption for more information. |